%define pkg_name        XML-SAX
%define pkg_version     0.16
%define rpm_pkg_version 0.16
%define rpm_pkg_release 1.n0i.13


Summary:       Simple API for XML
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GR/GRANTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:      perl(XML::NamespaceSupport) >= 0.03
%{!?_without_test:BuildRequires: perl(File::Temp)}
%{!?_without_test:BuildRequires: perl(XML::NamespaceSupport) >= 0.03}

Provides: perl(XML::SAX::PurePerl::DTDDecls)
Provides: perl(XML::SAX::PurePerl::DocType)
Provides: perl(XML::SAX::PurePerl::EncodingDetect)
Provides: perl(XML::SAX::PurePerl::XMLDecl)

%global perl_filter_prov 'perl\\(XML::SAX::PurePerl\\)$'

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
[ $1 -eq 1 ] && %{__perl} -MXML::SAX \
  -e 'XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()' 2>/dev/null || :


%preun
[ $1 -eq 0 ] && %{__perl} -MXML::SAX \
  -e 'XML::SAX->remove_parser(q(XML::SAX::PurePerl))->save_parsers()' 2>/dev/null || :


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.13
- version 0.16

* Sun May 27 2007 Marius Feraru <altblue@n0i.net> - 0.15-1.n0i.12
- spec file (re)created using N0i::CPAN::RPMizer v1.14.8
- version 0.15

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 0.14-1.n0i.11
- version 0.14

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 0.13-1.n0i.10
- version 0.13

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.12-18.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.12-17.n0i.8
- automatic rebuild (FC4)

* Sat Jan 29 2005 Marius FERARU <altblue@n0i.net> 0:0.12-17.n0i.7
- fixed pre/post scripts

* Thu Dec 02 2004 Marius Feraru <altblue@n0i.net> 0:0.12-17.n0i.6
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.12-1.n0i.5
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.12-1.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue.net> 0:0.12-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:0.12-0.n0i.1
- version 0.12
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
